package com.yihu.hos.central.rest.exception;

public class QueryMasterFailedException extends RuntimeException {

    private String startTime;
    private String endTime;
    private String tableCode;
    private String uploadCode;
    private String errorMsg;

    public QueryMasterFailedException(String startTime, String endTime, String tableCode, String uploadCode, String errorMsg) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.tableCode = tableCode;
        this.uploadCode = uploadCode;
        this.errorMsg = errorMsg;
    }

    public QueryMasterFailedException(String tableCode, String uploadCode, String errorMsg) {
        this.tableCode = tableCode;
        this.uploadCode = uploadCode;
        this.errorMsg = errorMsg;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getTableCode() {
        return tableCode;
    }

    public void setTableCode(String tableCode) {
        this.tableCode = tableCode;
    }

    public String getUploadCode() {
        return uploadCode;
    }

    public void setUploadCode(String uploadCode) {
        this.uploadCode = uploadCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
