package com.yihu.hos.central.rest.exception;

public class QuerySubFailedException extends RuntimeException {

    private String rowkey;
    private String tableCode;
    private String uploadCode;
    private String errorMsg;

    public QuerySubFailedException(String rowkey, String tableCode, String uploadCode, String errorMsg) {
        this.rowkey = rowkey;
        this.tableCode = tableCode;
        this.uploadCode = uploadCode;
        this.errorMsg = errorMsg;
    }

    public String getRowkey() {
        return rowkey;
    }

    public void setRowkey(String rowkey) {
        this.rowkey = rowkey;
    }

    public String getTableCode() {
        return tableCode;
    }

    public void setTableCode(String tableCode) {
        this.tableCode = tableCode;
    }

    public String getUploadCode() {
        return uploadCode;
    }

    public void setUploadCode(String uploadCode) {
        this.uploadCode = uploadCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
