package com.yihu.hos.central.rest.models.crawler.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class UploadDetail implements Serializable {

    private String _id;
    private Date record_date;//查询时间,记录时间
    private Long inpatient_num;//采集住院总数
    private Date inpatient_date;//住院最大就诊时间(记录已上传到何时)
    private Long outpatient_num;//采集门诊总数
    private Date outpatient_date;//门诊最大就诊时间(记录已上传到何时)
    private Long health_num;//体检总数
    private Date health_date;//体检最大时间(记录已上传到何时)
    private String org_code;//平台标准的org_code
    private Date update_time;//最后更新时间

    public String get_id() {
        return _id;
    }

    public void set_id(String _id) {
        this._id = _id;
    }

    @JsonFormat(pattern="yyyy-MM-dd", timezone = "GMT+8")
    public Date getRecord_date() {
        return record_date;
    }

    public void setRecord_date(Date record_date) {
        this.record_date = record_date;
    }

    public Long getInpatient_num() {
        return inpatient_num;
    }

    public void setInpatient_num(Long inpatient_num) {
        this.inpatient_num = inpatient_num;
    }

    @JsonFormat(pattern="yyyy-MM-dd", timezone = "GMT+8")
    public Date getInpatient_date() {
        return inpatient_date;
    }

    public void setInpatient_date(Date inpatient_date) {
        this.inpatient_date = inpatient_date;
    }

    public Long getOutpatient_num() {
        return outpatient_num;
    }

    public void setOutpatient_num(Long outpatient_num) {
        this.outpatient_num = outpatient_num;
    }

    @JsonFormat(pattern="yyyy-MM-dd", timezone = "GMT+8")
    public Date getOutpatient_date() {
        return outpatient_date;
    }

    public void setOutpatient_date(Date outpatient_date) {
        this.outpatient_date = outpatient_date;
    }

    public Long getHealth_num() {
        return health_num;
    }

    public void setHealth_num(Long health_num) {
        this.health_num = health_num;
    }

    @JsonFormat(pattern="yyyy-MM-dd", timezone = "GMT+8")
    public Date getHealth_date() {
        return health_date;
    }

    public void setHealth_date(Date health_date) {
        this.health_date = health_date;
    }

    public String getOrg_code() {
        return org_code;
    }

    public void setOrg_code(String org_code) {
        this.org_code = org_code;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }
}
