package com.yihu.hos.central.rest.cache;

import java.io.*;
import java.util.HashMap;

/**
 * @author HZY
 * @created 2018/8/28 11:06
 */
public class FileTypeCheckUtil {

    /**
     * 解析普通文本文件  流式文件 如txt
     * @param path
     * @return
     */
    @SuppressWarnings("unused")
    public static String readTxt(String path){
        StringBuilder content = new StringBuilder("");
        try {
            String code = resolveCode(path);
            File file = new File(path);
            InputStream is = new FileInputStream(file);
            InputStreamReader isr = new InputStreamReader(is, code);
            BufferedReader br = new BufferedReader(isr);
//          char[] buf = new char[1024];
//          int i = br.read(buf);
//          String s= new String(buf);
//          System.out.println(s);
            String str = "";
            while (null != (str = br.readLine())) {
                content.append(str);
            }
            br.close();
        } catch (Exception e) {
            e.printStackTrace();
            System.err.println("读取文件:" + path + "失败!");
        }
        return content.toString();
    }



    public static String resolveCode(String path) throws Exception {
        InputStream inputStream = new FileInputStream(path);
        byte[] head = new byte[3];
        inputStream.read(head);
        String code = "gb2312";  //或GBK
        if (head[0] == -1 && head[1] == -2 )
            code = "UTF-16";
        else if (head[0] == -2 && head[1] == -1 )
            code = "Unicode";
        else if(head[0]==-17 && head[1]==-69 && head[2] ==-65)
            code = "UTF-8";

        inputStream.close();

        System.out.println(code);
        return code;
    }


    public static void main(String[] args) {
//        String filePath ="D:\\temp\\非结构化模板\\非结构化_卡思特_\\非结构化\\ls data\\6d0e7aad8ec1404c98a237ac54925edc_fjg\\documents\\641331f9fbfb4c10b03b7bd07baf14b7.xml";
        String filePath = "C:\\Users\\HZY\\Documents\\WeChat Files\\huangzhiyong_weibo\\Files\\非结构化_卡思特_\\非结构化\\ygz data\\0829fb12ee53404b91c7563a6fa05cfb_fjg\\documents\\ca351c36f0184024832f2f95c848083f.xml";
        final String fileType = readTxt(filePath);
        System.out.println("文件类型："+fileType);
    }

}
