package com.yihu.hos.central.rest.models.crawler.flow;

import javax.persistence.Embeddable;
import java.io.Serializable;

/**
 * 任务编排-数据集关系
 *
 * @created HZY 2016/4/27.
 */

@Embeddable
public class CrawlerDataSetKey implements Serializable {

    private Long schemeId;

    private Long schemeVersionId;

    private Long datasetId;

    public Long getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(Long schemeId) {
        this.schemeId = schemeId;
    }

    public Long getSchemeVersionId() {
        return schemeVersionId;
    }

    public void setSchemeVersionId(Long schemeVersionId) {
        this.schemeVersionId = schemeVersionId;
    }

    public Long getDatasetId() {
        return datasetId;
    }

    public void setDatasetId(Long datasetId) {
        this.datasetId = datasetId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof CrawlerDataSetKey)) return false;

        CrawlerDataSetKey that = (CrawlerDataSetKey) o;

        if (getSchemeId() != null ? !getSchemeId().equals(that.getSchemeId()) : that.getSchemeId() != null)
            return false;
        if (getSchemeVersionId() != null ? !getSchemeVersionId().equals(that.getSchemeVersionId()) : that.getSchemeVersionId() != null)
            return false;
        return getDatasetId() != null ? getDatasetId().equals(that.getDatasetId()) : that.getDatasetId() == null;
    }

    @Override
    public int hashCode() {
        int result = getSchemeId() != null ? getSchemeId().hashCode() : 0;
        result = 31 * result + (getSchemeVersionId() != null ? getSchemeVersionId().hashCode() : 0);
        result = 31 * result + (getDatasetId() != null ? getDatasetId().hashCode() : 0);
        return result;
    }
}
